> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Place Reservation entity.

> Places a Reservation entity.

- Product: Reservations
- Section: Reservation
- Snapshot: Current
- Method: `PUT`
- Path: `/api/reservations/{id}/place`

## Path parameters

### `id`

Type: `number`  
Required: yes  

## Query parameters

### `sendEmail`

Type: `boolean`  
Required: no  

### `organization`

Type: `number`  
Required: yes  

### `token`

Type: `string`  
Required: yes  

### `public`

Type: `boolean`  
Required: no  

## Request body

Required: no  
Content types: `application/json`  

### `source`

Type: `string`  
Required: no  
Allowed values: `office`, `owner`, `owner-for-guest`, `owner-invite`, `planning`, `reception`, `telephone`, `tour-operator`, `web`, `email`, `ical`, `cluster`, `airbnb`, `bedandbreakfast`, `belvilla`, `booking`, `expedia`, `homeaway`, `traum-ferienwohnungen`, `holidaymedia`, `nextpax`, `qenner`, `tripadvisor`, `trivago`, `ferienhausmiete`, `natuurhuisje`, `allyourz`, `vipio`, `origineel-overnachten`, `vrbo-fewo-direkt`, `vakantie-zeeland`, `anwb`, `tour-operator-other`, `groepen`, `social-media`, `micazu`, `bungalowspecials`, `campings`, `vacanceselect-travel`, `direct-booking`, `euronature`, `glamping4all`, `internatuur`, `miramare`, `apartmaji`, `suncamp`, `tui`, `pincamp`, `hundeurlaub`, `kiosk`, `rent-a-tent`, `outspot`, `acsi`, `snakeware`, `weekendjeweg`, `heerlijke-huisjes`, `ardoer`, `vakantie-adressen`, `villa-for-you`, `tradetracker`  

### `notes`

Type: `string`  
Required: no  

### `locale`

Type: `string`  
Required: no  

### `guest`

Type: `object`  
Required: no  

#### `email`

Type: `string`  
Required: no  

#### `firstName`

Type: `string`  
Required: no  

#### `surname`

Type: `string`  
Required: no  

#### `surnamePrefix`

Type: `string`  
Required: no  

#### `salutation`

Type: `string`  
Required: no  
Allowed values: `male`, `female`, `family`  

#### `phoneNumber`

Type: `string`  
Required: no  

#### `phoneNumberHome`

Type: `string`  
Required: no  

#### `phoneNumberWork`

Type: `string`  
Required: no  

#### `address`

Type: `string`  
Required: no  

#### `addressNo`

Type: `string`  
Required: no  

#### `postalCode`

Type: `string`  
Required: no  

#### `locality`

Type: `string`  
Required: no  

#### `country`

Type: `string`  
Required: no  

#### `locale`

Type: `string`  
Required: no  

#### `birthDate`

Type: `string`  
Required: no  

#### `membership`

Type: `string`  
Required: no  

#### `iban`

Type: `string`  
Required: no  

#### `ibanAccountName`

Type: `string`  
Required: no  

#### `bic`

Type: `string`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.reservations.place({
  id: 0,
  organization: 0,
  token: "<token>",
});
```

## Execute with curl

```bash
curl -X PUT "https://app.recranet.com/api/reservations/$ID/place" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "token=$TOKEN" \
    -H 'Content-Type: application/json' \
    -d '{}'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "number": "2024-0001"
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `number`

Type: `string`  
Required: no  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

### Response `404`

Category: client-error  

Not found

#### `application/json`

##### Example

```json
{
  "statusCode": 404,
  "description": "Not found",
  "errors": [
    "Not found"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/reservations/methods/place/)
- [TypeScript Markdown](/reservations/methods/place.md?lang=typescript)
- [curl Markdown](/reservations/methods/place.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/reservations/llms.txt)
- [snapshot llms.txt](/reservations/llms.txt)
